Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/decorators/RDecorator.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/decorators/RDecorator.java	(revision 941)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/decorators/RDecorator.java	(revision 942)
@@ -32,8 +32,9 @@
 import org.eclipse.jface.viewers.ILabelDecorator;
 import org.eclipse.jface.viewers.LabelProvider;
 import org.eclipse.swt.graphics.Image;
-import org.txm.rcp.IImageKeys;
+import org.osgi.framework.FrameworkUtil;
 import org.txm.rcp.utils.OverlayImageIcon;
+import org.txm.utils.logger.Log;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -45,8 +46,7 @@
 	/**
 	 * Instantiates a new r decorator.
 	 */
-	public RDecorator()
-	{
+	public RDecorator() {
 		super();
 	}
 	// Method to decorate Image 
@@ -54,13 +54,16 @@
 	 * @see org.eclipse.jface.viewers.ILabelDecorator#decorateImage(org.eclipse.swt.graphics.Image, java.lang.Object)
 	 */
 	@Override
-	public Image decorateImage(Image image, Object object)
-	{
+	public Image decorateImage(Image image, Object object) {
 		String symbol= null;
 		try {
 			Method getname = object.getClass().getMethod("getSymbol"); //$NON-NLS-1$
 			symbol = (String)getname.invoke(object);
-		} catch (Exception e) {return null;}
+		}
+		catch (Exception e) {
+//			Log.printStackTrace(e);
+			return null;
+		}
 		
 		if (symbol == null) {
 			return null;
@@ -69,11 +72,12 @@
 		// Overlay custom image over base image 
 		try {
 			Image image2;
-			OverlayImageIcon overlayIcon = new OverlayImageIcon(image, IImageKeys.RDECORATION);
+			OverlayImageIcon overlayIcon = new OverlayImageIcon(image, "platform:/plugin/"+ FrameworkUtil.getBundle(RDecorator.class).getSymbolicName() + "/icons/decorators/r.png"); //$NON-NLS-1$
 			image2 = overlayIcon.getImage();
 			return image2;
 		}
-		catch(NullPointerException e) {
+		catch(Exception e) {
+			Log.printStackTrace(e);
 		}
 		return null;
 		// The image should be disposed when the plug-in is 
Index: tmp/org.txm.statsengine.r.rcp/plugin.xml
===================================================================
--- tmp/org.txm.statsengine.r.rcp/plugin.xml	(revision 941)
+++ tmp/org.txm.statsengine.r.rcp/plugin.xml	(revision 942)
@@ -260,7 +260,7 @@
          point="org.eclipse.ui.decorators">
       <decorator
             class=" org.txm.statsengine.r.rcp.decorators.RDecorator"
-            icon="icons/decorators/R.png"
+            icon="icons/decorators/r.png"
             id="org.txm.rcp.decorators.RDecorator"
             label="%decorator.label"
             lightweight="false"
Index: tmp/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF	(revision 941)
+++ tmp/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF	(revision 942)
@@ -8,9 +8,9 @@
  org.txm.annotation.kr.rcp.messages,
  org.txm.annotation.kr.rcp.preferences,
  org.txm.annotation.kr.rcp.views.knowledgerepositories
-Bundle-Vendor: textometrie.org
+Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.annotation.kr.rcp
+Bundle-Name: KR Annotation RCP
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.annotation.kr.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 941)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 942)
@@ -30,7 +30,6 @@
 import java.util.ArrayList;
 import java.util.List;
 
-import org.apache.batik.util.gui.CSSMediaPanel.Dialog;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.viewers.ArrayContentProvider;
@@ -96,7 +95,7 @@
 			int ret = dialog.open();
 			boolean useAllOccurrences = false;
 			//System.out.println("ret= "+ret);
-			if (ret == Dialog.OK_OPTION) {
+			if (ret == ListDialog.OK) {
 				//System.out.println("ok");
 				if(dialog.getResult().length == 0) {
 					return null;
Index: tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 941)
+++ tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 942)
@@ -1,9 +1,9 @@
 Manifest-Version: 1.0
 Require-Bundle: org.txm.annotation.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport
-Bundle-Vendor: textometrie.org
+Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Annoration RCP
+Bundle-Name: Annotation RCP
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.annotation.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.annotation.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 941)
+++ tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 942)
@@ -3,11 +3,12 @@
 Bundle-ActivationPolicy: lazy
 Bundle-ClassPath: .
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.annotation.core
+Bundle-Name: Annotation Core
 Bundle-ManifestVersion: 2
 Bundle-Activator: org.txm.annotation.core.Activator
 Bundle-SymbolicName: org.txm.annotation.core;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Export-Package: org.txm.annotation.core,
  org.txm.annotation.core.preferences
+Bundle-Vendor: Textometrie.org
 
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 941)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 942)
@@ -8,7 +8,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: CA RCP
+Bundle-Name: Correspondence Analysis RCP
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.ca.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.annotation.kr.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.kr.core/META-INF/MANIFEST.MF	(revision 941)
+++ tmp/org.txm.annotation.kr.core/META-INF/MANIFEST.MF	(revision 942)
@@ -65,10 +65,11 @@
 Bundle-ClassPath: .,libs/hsqldb.jar,libs/postgresql-9.4.1207.jre6.jar,
  libs/sqlite-jdbc-3.8.11.2.jar
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.annotation.kr.core
+Bundle-Name: KR Annotation Core
 Bundle-ManifestVersion: 2
 Bundle-Activator: org.txm.annotation.kr.core.Activator
 Bundle-SymbolicName: org.txm.annotation.kr.core;singleton:=true
 Meta-Persistence: META-INF/persistence.xml
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-Vendor: Textometrie.org
 
Index: tmp/org.txm.cooccurrence.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.cooccurrence.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 941)
+++ tmp/org.txm.cooccurrence.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 942)
@@ -3,7 +3,7 @@
 
 command.name.4 = Envoyer vers la cooccurrence
 
-command.tooltip = Calculer les cooccurrents d'une requête
+command.tooltip = Calculer les cooccurrents d'une requ\u00EAte
 
 editor.name = Cooccurrences
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 941)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 942)
@@ -20,39 +20,32 @@
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(CAPreferences.class).getSymbolicName();
 	
 	
-	public static final String PREFERENCES_PREFIX = "ca_"; //$NON-NLS-1$
-	
-	/** Lexical table FMIN. */
-	public static final String F_MIN = PREFERENCES_PREFIX + "lt_fmin"; //$NON-NLS-1$
-	/** Lexical table VMAX. */
-	public static final String V_MAX = PREFERENCES_PREFIX + "lt_vmax"; //$NON-NLS-1$
-
 	/** The Constant QUALITYDISPLAY. */
-	public static final String QUALITY_DISPLAY_FORMAT = PREFERENCES_PREFIX + "quality_display_format"; //$NON-NLS-1$
+	public static final String QUALITY_DISPLAY_FORMAT = "quality_display_format"; //$NON-NLS-1$
 
 	/** The Constant CONTRIBDISPLAY. */
-	public static final String CONTRIB_DISPLAY_FORMAT = PREFERENCES_PREFIX + "contrib_display_format"; //$NON-NLS-1$
+	public static final String CONTRIB_DISPLAY_FORMAT = "contrib_display_format"; //$NON-NLS-1$
 
 	/** The Constant MASSDISPLAY. */
-	public static final String MASS_DISPLAY_FORMAT = PREFERENCES_PREFIX + "mass_display_format"; //$NON-NLS-1$
+	public static final String MASS_DISPLAY_FORMAT = "mass_display_format"; //$NON-NLS-1$
 
-	public static final String CHI_DISPLAY_FORMAT = PREFERENCES_PREFIX + "chi_display_format"; //$NON-NLS-1$
+	public static final String CHI_DISPLAY_FORMAT = "chi_display_format"; //$NON-NLS-1$
 	
 	/** The Constant DISTDISPLAY. */
-	public static final String DIST_DISPLAY_FORMAT = PREFERENCES_PREFIX + "dist_display_format"; //$NON-NLS-1$
+	public static final String DIST_DISPLAY_FORMAT = "dist_display_format"; //$NON-NLS-1$
 
 	/** The Constant COS2DISPLAY. */
-	public static final String COS2_DISPLAY_FORMAT = PREFERENCES_PREFIX + "cos2_display_format"; //$NON-NLS-1$
+	public static final String COS2_DISPLAY_FORMAT = "cos2_display_format"; //$NON-NLS-1$
 
 	/** The Constant COORDDISPLAY. */
-	public static final String COORD_DISPLAY_FORMAT = PREFERENCES_PREFIX + "coord_display_format"; //$NON-NLS-1$
+	public static final String COORD_DISPLAY_FORMAT = "coord_display_format"; //$NON-NLS-1$
 
 	
-	public static final String FIRST_DIMENSION = PREFERENCES_PREFIX + "first_dimension"; //$NON-NLS-1$
-	public static final String SECOND_DIMENSION = PREFERENCES_PREFIX + "second_dimension"; //$NON-NLS-1$
-	public static final String SHOW_INDIVIDUALS = PREFERENCES_PREFIX + "chart_show_individuals"; //$NON-NLS-1$
-	public static final String SHOW_VARIABLES = PREFERENCES_PREFIX + "chart_show_variables"; //$NON-NLS-1$
-	public static final String SHOW_POINT_SHAPES = PREFERENCES_PREFIX + "chart_show_point_shapes"; //$NON-NLS-1$
+	public static final String FIRST_DIMENSION = "first_dimension"; //$NON-NLS-1$
+	public static final String SECOND_DIMENSION = "second_dimension"; //$NON-NLS-1$
+	public static final String SHOW_INDIVIDUALS = "chart_show_individuals"; //$NON-NLS-1$
+	public static final String SHOW_VARIABLES = "chart_show_variables"; //$NON-NLS-1$
+	public static final String SHOW_POINT_SHAPES = "chart_show_point_shapes"; //$NON-NLS-1$
 	
 	
 
Index: tmp/org.txm.ca.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 941)
+++ tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 942)
@@ -10,7 +10,7 @@
  es,org.txm.ca.core.statsengine.r.functions
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: CA Core
+Bundle-Name: Correspondence Analysis Core
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.ca.core;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 941)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 942)
@@ -33,6 +33,7 @@
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
+import org.txm.utils.logger.Log;
 
 /**
  * Stores image keys and also Image objects. 
@@ -136,9 +137,6 @@
 	/** The Constant ACTION_TEXT. */
 	public static final String ACTION_TEXT = "icons/objects/text.png"; //$NON-NLS-1$
 	
-	/** The Constant RDECORATION. */
-	public static final String RDECORATION = "icons/decorators/R.png"; //$NON-NLS-1$
-
 	public static final String GRAPH_SPECIFICITIES = "icons/functions/SpecificitiesGraph.png"; //$NON-NLS-1$
 	
 	/** The Constant CHECKED. */
@@ -265,7 +263,7 @@
 		if (!images.containsKey(imagekey)) {
 			ImageDescriptor imgg = AbstractUIPlugin.imageDescriptorFromPlugin(pluginId, imagekey);
 			if (imgg == null) {
-				System.out.println("Warning: image not found in '"+pluginId+"' -> '"+imagekey+"'");
+				Log.severe("Warning: image not found in '"+pluginId+"' -> '"+imagekey+"'");
 				return getImage("icons/null.png");
 			}
 
